Subject: Bug#1104080: linux: Please build with CONFIG_KERNEL_GZIP=y instead of CONFIG_KERNEL_XZ=y on sh4

From: Ben Hutchings <[email-masked]>
Date: Fri, 02 May 2025 20:25:45 +0200

On Fri, 2025-05-02 at 20:13 +0200, John Paul Adrian Glaubitz wrote:
> On Fri, 2025-05-02 at 20:12 +0200, Ben Hutchings wrote:
> > > Why do you need to drop it? I don't understand the reasoning behind it.
> > > 
> > > Does it hurt in any way when that flavor is being built?
> > 
> > We know that it currently can't work.  So it is wasting the time of the
> > builders and of anyone who tries to use it.
> 
> I'm maintaining those builders and I'm fine with that. It allows me to catch
> regressions when looking at build logs.

There is nothing stopping you from doing your own kernel builds to test
whatever configuration and drivers you want.

Meanwhile in src:linux I think we only want to provide configurations
that are actually useful.

Ben.

-- 
Ben Hutchings
Absolutum obsoletum. (If it works, it's out of date.) - Stafford Beer